'use strict';

module.exports = {
    up: (queryInterface, Sequelize) => {
        return queryInterface.bulkInsert(
            'Places',
            [
                {
                    address_id: 1,
                    location_id: 1,
                    pic: 'https://static.tildacdn.com/tild6132-3261-4262-b232-643162626139/-/resize/504x/Sky-Polonskiy-26.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Мужская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 27, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
                },
                {
                    address_id: 1,
                    location_id: 1,
                    pic: 'https://img.jamesedition.com/listing_images/2020/12/22/23/14/35/18f8973b-0b71-45df-a133-a5803250b173/je/620x465xc.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Женская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 28, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
                },
                {
                    address_id: 1,
                    location_id: 2,
                    pic: 'https://cdn.mskguru.ru/uploads/news/spros-na-apartamenty-moskve-v-pervom-kvartale-zametno-snizilsja_l.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Мужская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 13, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
                },
                {
                    address_id: 1,
                    location_id: 2,
                    pic: 'https://novostroycity.ru/uploads/journal_entries/1466415170.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Женская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 14, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
                },
                {
                    address_id: 1,
                    location_id: 2,
                    pic: 'https://media-cdn.tripadvisor.com/media/vr-splice-j/07/2f/da/5c.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Мужская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 15, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
                },
                {
                    address_id: 2,
                    location_id: 3,
                    pic: 'https://newvz.ru/wp-content/uploads/2020/12/nedvijimost-1.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Женская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 2, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
                },
                {
                    address_id: 2,
                    location_id: 3,
                    pic: 'https://welcometimes.ru/sites/default/files/field/image/1_553.jpg',
                    place_type: 'Апартаменты',
                    sex: 'Мужская',
                    cost_per_month: 30000,
                    deposit: 30000,
                    address: 'Квартира 3, этаж 4, комната 1, место 1',
                    rooms: 3,
                    occupied: 3,
                    unoccupied_in_room: 2,
                    description: 'Описание квартиры',
                    bed_type: 'Двухъярусная',
                    bed_place: 'Верхнее',
                    place_plan: 'https://link',
                    floor_plan: 'https://link',
                    starts: '12.10.2022',
                    createdAt: new Date(),
                    updatedAt: new Date(),
              },
                
              {
                address_id: 0,
                location_id: 0,
                pic: 'https://www.hse.ru/pubs/share/direct/224192328.jpg',
                place_type: 'Общежитие',
                sex: 'Мужская',
                cost_per_month: 30000,
                deposit: 30000,
                address: 'Общежитие № 10',
                rooms: 3,
                occupied: 3,
                unoccupied_in_room: 2,
                description: 'Описание',
                bed_type: 'Двухъярусная',
                bed_place: 'Верхнее',
                place_plan: 'https://link',
                floor_plan: 'https://link',
                starts: '12.10.2022',
                createdAt: new Date(),
                updatedAt: new Date(),
            },
            ],
            {},
        );
    },

    down: (queryInterface, Sequelize) => {
        return queryInterface.bulkDelete('Places', null, {});
    },
};
